Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class TemplateParameterDefinitionHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.TemplateParameterDefinitionHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ITemplateParameterDefinitionModel

    public class TemplateParameterDefinitionHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITemplateParameterDefinitionModel

Represents a template parameter definition element. A template parameter definitio gives a definition of a template element. It can be referred by one template report item or one template data set. The template parameter definition has the following properties:

- A required and unique name for this template parameter definition.
- A type for this template parameter definition. It is the the enumeration of Table,Grid, Label, Text, ExtendedItem, other kind of report items and Dataset.
- A static description message to display.

The application generally does not create template parameter definition handles directly. Instead, BIRT will create it when users replace an actual report item or data set with a template element.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITemplateParameterDefinitionModel
`ALLOWED_TYPE_PROP, DEFAULT_SLOT, DESCRIPTION_ID_PROP, DESCRIPTION_PROP, NAME_PROP, SLOT_COUNT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`TemplateParameterDefinitionHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`java.lang.String` | `getAllowedType()` Gets allowed type of the template parameter definition.
`DesignElementHandle` | `getDefaultElement()` Gets the default element of this template parameter definition.
`java.lang.String` | `getDescription()` Returns the static description for the template parameter definition.
`java.lang.String` | `getDescriptionKey()` Returns the resource key of the static description of the template parameter definition.
`java.lang.String` | `getDisplayDescription()` Returns the localized description for the template parameter definition.
`void` | `setAllowedType(java.lang.String type)` Sets the allowed type of the template parameter definition.
`void` | `setDescription(java.lang.String description)` Sets the description of the template parameter definition.
`void` | `setDescriptionKey(java.lang.String resourceKey)` Sets the resource key of the static description of the template parameter definition.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateParameterDefinitionHandle

    public TemplateParameterDefinitionHandle(org.eclipse.birt.report.model.core.Module module,
                                             org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getAllowedType

    public java.lang.String getAllowedType()

  Gets allowed type of the template parameter definition.

  Returns:
    the allowed type of the template parameter definition

### setAllowedType

    public void setAllowedType(java.lang.String type)
                        throws SemanticException

  Sets the allowed type of the template parameter definition.

  Parameters:
    `type` - the type to set
  Throws:
    `SemanticException` - if the property is locked

### getDescription

    public java.lang.String getDescription()

  Returns the static description for the template parameter definition.

  Returns:
    the static description to display

### getDisplayDescription

    public java.lang.String getDisplayDescription()

  Returns the localized description for the template parameter definition. If the localized description for the description resource key is found, it will be returned. Otherwise, the static description will be returned.

  Returns:
    the localized description for the template parameter definition

### setDescription

    public void setDescription(java.lang.String description)
                        throws SemanticException

  Sets the description of the template parameter definition. Sets the static description itself. If the template parameter definition is to be externalized, then set the description ID separately.

  Parameters:
    `description` - the new description for the template parameter definition
  Throws:
    `SemanticException` - if the property is locked.

### getDescriptionKey

    public java.lang.String getDescriptionKey()

  Returns the resource key of the static description of the template parameter definition.

  Returns:
    the resource key of the static description

### setDescriptionKey

    public void setDescriptionKey(java.lang.String resourceKey)
                           throws SemanticException

  Sets the resource key of the static description of the template parameter definition.

  Parameters:
    `resourceKey` - the resource key of the static description
  Throws:
    `SemanticException` - if the property is locked.

### getDefaultElement

    public DesignElementHandle getDefaultElement()

  Gets the default element of this template parameter definition.

  Returns:
    the default element of this template parameter definition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.